import argparse
from typing import Optional

import datasets


def download_dataset(dataset_path: str, dataset_name: Optional[str], cache_dir: str):
    dataset = datasets.load_dataset(dataset_path, dataset_name if len(dataset_name) > 0 else None, cache_dir=cache_dir)
    print(dataset)


if __name__ == '__main__':
    parser = argparse.ArgumentParser()
    parser.add_argument("--dataset_path")
    parser.add_argument("--dataset_name")
    parser.add_argument("--cache_dir")
    args = parser.parse_args()
    download_dataset(args.dataset_path, args.dataset_name, args.cache_dir)
